<?php
require_once($_SERVER['DOCUMENT_ROOT'] . "/sys/config.php");

//$targetDir = PHOTO_PATH;
$targetDir = "uploads/";
$tmp = $_FILES["fileToUpload"]["tmp_name"];

$targetFile = $targetDir . basename($_FILES["fileToUpload"]["name"]);
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($targetFile,PATHINFO_EXTENSION));

$photo_id = $_POST["photo_id"];
$fileName = $_POST["fileName"];
$dirName = $_POST["dirName"];
$pathName = $_POST["pathName"];
$timeTaken = $_POST["timeTaken"];

// Check if image file is a actual image or fake image
$check = getimagesize($_FILES["fileToUpload"]["tmp_name"]);
if($check !== false) {
//  echo "File is an image - " . $check["mime"] . ".";
    $uploadOk = 1;
} 
else {
//    echo "File is not an image.";
    $uploadOk = 0;
}
// Check if file already exists
if (file_exists($targetFile)) {
//    echo "Sorry, file already exists.";
    $uploadOk = 0;
}
// Check file size
if ($_FILES["fileToUpload"]["size"] > 10000000) {
//    echo "Sorry, your file is too large.";
    $uploadOk = 0;
}
// Allow certain file formats
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
&& $imageFileType != "gif" ) {
//    echo "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";
    $uploadOk = 0;
}
// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
//    echo "Sorry, your file was not uploaded.";
}
// if everything is ok, try to upload file
else {
  if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $targetFile)) {
//    echo "The file ". basename( $_FILES["fileToUpload"]["name"]). " has been uploaded.";
  }
  else {
//    echo "Sorry, there was an error uploading your file.";
    $uploadOk = 0;
  }
}

if (file_exists ("/home/trend356/public_html/ara/" . $pathName)) {
  rename ("/home/trend356/public_html/ara/module/location/ajax/" . $targetFile, 
   "/home/trend356/public_html/ara" . $pathName . "/" . $fileName);  
}
else {
  mkdir($pathName, 0755);
  rename ("/home/trend356/public_html/ara/module/location/ajax/" . $targetFile, 
   "/home/trend356/public_html/ara" . $pathName . "/" . $fileName);  
}  

echo json_encode (array($photo_id, $fileName, $dirName, $pathName, $timeTaken));
?>